security:
    encoders:
        FOS\UserBundle\Model\UserInterface: bcrypt

    role_hierarchy:
        ROLE_ENFERMERO:    ROLE_ENFERMERO
        ROLE_MEDICO:       ROLE_MEDICO
        ROLE_SUPER_ADMIN:  ROLE_ADMIN

    # https://symfony.com/doc/current/security.html#where-do-users-come-from-user-providers
    providers:
        fos_userbundle:
            id: fos_user.user_provider.username

    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            pattern: ^/
            form_login:
                provider: fos_userbundle
                csrf_token_generator: security.csrf.token_manager

            logout:       true
            anonymous:    true

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
        - { path: ^/login$, role: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/resetting, role: [ROLE_ADMIN] }
        - { path: ^/register$, role: [ROLE_ADMIN] }
        - { path: ^/admin/, role: [ROLE_ADMIN] }
        - { path: ^/.*, role: [ROLE_ADMIN, ROLE_MEDICO, ROLE_ENFERMERO, ROLE_USER] }
